Revoke Connection Fingerprint
Revokes a fingerprint, so Fivetran no longer trusts it while connecting to the source database through an SSH tunnel.
Request schema
Path parameters
connectionId
stringrequired
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
example:
4107c213907114059a5544ad8fa66c52
hash
stringrequired
The unique identifier of the fingerprint (Base64URL encoded hash of the fingerprint).
example:
Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Http + 1.1
DELETE
https://api.fivetran.com/v1/connections/4107c213907114059a5544ad8fa66c52/fingerprints/Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g
DELETE /v1/connections/4107c213907114059a5544ad8fa66c52/fingerprints/Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Successful response
404
Fingerprint with specified hash not found
200
code
stringrequired
Response status code
example:
Success
message
stringrequired
Response status text
example:
Fingerprint with hash 'string' has been revoked for connection with id 'string'
{ "code": "Success", "message": "Fingerprint with hash 'string' has been revoked for connection with id 'string'" }